// -*- C++ -*-
//     This file is part of cdloop
//     Copyright (C) 2001-2003 Claus Brunzema <mail@cbrunzema.de>
// 
//     This program is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.
// 
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with this program; if not, write to the Free Software
//     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// 
#ifndef CDDISC_HH_INCLUDED
#define CDDISC_HH_INCLUDED

#include <vector>

class CDDisc;

#include "CDAbsPos.hh"
#include "CDRelPos.hh"

class CDDisc
{
private:
    std::vector<CDAbsPos> tracks;
    bool was_changed;
    
public:
    CDDisc();
    void clear();
    void push_back(const CDAbsPos& track_start);
    unsigned int no_of_tracks() const;
    CDAbsPos abs_pos(const CDRelPos& rel_pos) const;
    CDRelPos rel_pos(const CDAbsPos& abs_pos) const;
    CDAbsPos end() const;
    bool valid(const CDRelPos& pos) const;
    unsigned int id() const;
    bool changed();
    void debug_print() const;
};

#endif
