// -*- C++ -*-
//     This file is part of cdloop
//     Copyright (C) 2001-2003 Claus Brunzema <mail@cbrunzema.de>
// 
//     This program is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.
// 
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with this program; if not, write to the Free Software
//     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// 
#ifndef CDDRIVE_HH_INCLUDED
#define CDDRIVE_HH_INCLUDED

#include <string>

class CDDrive;

#include "CDAbsPos.hh"
#include "CDRelPos.hh"
#include "built_Status.hh"
#include "CDDisc.hh"

class CDDrive
{
private:
    Status error;
    int cd_fd;
    CDDisc disc;

    void update_disc();
    
public:
    CDDrive(const std::string& device);
    ~CDDrive();

    void play(const CDRelPos& pos);
    Status status();
    unsigned int no_of_tracks();
    unsigned int id();
    CDRelPos pos();
    void pause();
    void resume();
    void stop();
    void eject();
    void close_tray();
    CDRelPos add_pos(const CDRelPos& base, const CDAbsPos& offset);
    bool toc_changed();
};

#endif
