//     This file is part of cdloop
//     Copyright (C) 2001-2003 Claus Brunzema <mail@cbrunzema.de>
// 
//     This program is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.
// 
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with this program; if not, write to the Free Software
//     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// 
#ifndef LOOP_HH_INCLUDED
#define LOOP_HH_INCLUDED

#include "CDRelPos.hh"

struct Loop
{
    CDRelPos start;
    CDRelPos end;
    long gap;

    void clear()
        {
            start.clear();
            end.clear();
            gap=-1L;
        }
    bool valid() const
        {
            return start.valid() && end.valid() && gap>=0 && end>start;
        }
};

#endif
