// -*- C++ -*-
//     This file is part of cdloop
//     Copyright (C) 2001-2003 Claus Brunzema <mail@cbrunzema.de>
// 
//     This program is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.
// 
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with this program; if not, write to the Free Software
//     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// 
#ifndef MIXER_HH_INCLUDED
#define MIXER_HH_INCLUDED

#ifdef AMIXER

class Mixer
{
private:
    int _card_number;

    double _volume_left;
    bool   _mute_left;
    double _volume_right;
    bool   _mute_right;
    
public:
    Mixer();
    Mixer(const int card_number);

    bool valid() const { return true; }
    void set_master_volume_front_left(double level);
    void set_mute_front_left(bool mute);
    void set_master_volume_front_right(double level);
    void set_mute_front_right(bool mute);
};
#else
class Mixer
{
public:
    Mixer() { };
    Mixer(const char* /* card_name */, const int /* device_number*/ ) { };

    bool valid() const { return false; }
    void set_master_volume_front_left(double /* level */) { };
    void set_mute_front_left(bool /* mute */) { };
    void set_master_volume_front_right(double /* level */) { };
    void set_mute_front_right(bool /* mute */) { };
};

#endif

#endif
